[erlang-questions] R15B01 dtrace support on FreeBSD 9.0 broken

Wu Ray <>
Fri Jun 22 13:42:09 CEST 2012


Hi, guys

I cannot configure with dtrace on my FreeBSD 9.0(x86_64), it was
broken when configure
./configure --with-dynamic-trace=dtrace
.......
dtrace: failed to compile script emulator/beam/erlang_dtrace.d:
"/usr/lib/dtrace/psinfo.d", line 37: syntax error near "uid_t"
configure: error: Could not precompile erlang_dtrace.d: dtrace -h failed
configure: error: /bin/sh
'/usr/home/wulei/otp_src_R15B01/erts/configure' failed for erts

the dtrace version:
$ dtrace -V
dtrace: Sun D 1.6.3


I read the README.dtrace.md, at "Supported platforms", it said:
* FreeBSD 9.0, though please see the "FreeBSD 9.0 Release Notes"
  section below!

BUT there is no this section below, does I do something special on FreeBSD.

Best Regards



More information about the erlang-questions mailing list